# $Id: 02_elseif.t,v 1.1 2007/08/16 15:40:55 pythontech Exp $
use strict;
use Test::More tests => 4;

use PythonTech::Template;

my $t = new PythonTech::Template(DIRS => '/nowhere',
				 STAG => '{',
				 ETAG => '}');

my $data = {
 a=>'horses',
 b=>'mutton',
};

is($t->process_text("{IF a}a for {a}, {ELSE}{IF b}b for {b}, {ELSE}{IF x}x for {x}, {ENDIF}{ENDIF}{ENDIF}",
		    $data),
   "a for horses, ", 'nested IF 1&2');
is($t->process_text("{IF x}x for {x}, {ELSE}{IF b}b for {b}, {ELSE}{IF a}a for {a}, {ENDIF}{ENDIF}{ENDIF}",
		    $data),
   "b for mutton, ", 'nested IF 2&3');
is($t->process_text("{IF a}a for {a}, {ELSEIF b}b for {b}, {ELSEIF x}x for {x}, {ENDIF}",
		    $data),
   "a for horses, ", 'ELSEIF 1&2');
is($t->process_text("{IF x}x for {x}{ELSEIF b}b for {b}, {ELSEIF a}a for {a}, {ENDIF}",
		    $data),
   "b for mutton, ", 'ELSEIF 2&3');
